package com.jianshui.invoice.domain;

import java.math.BigDecimal;
import java.util.List;
import java.util.Date;
import java.util.Map;

import cn.hutool.core.annotation.Alias;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jianshui.common.annotation.Excel;
import com.jianshui.common.core.domain.BaseEntity;
import com.jianshui.invoice.domain.dto.api.elephant.addInvoice.*;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 开票信息对象 bill_info
 *
 * @author Gong Quanlin
 * @date 2022-03-27
 */
public class BillInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 销方ID */
    @Excel(name = "销方ID")
    private Long companyId;

    /** 本系统订单号 */
    @Excel(name = "本系统订单号")
    private String systemOrderno;

    /** 客户系统订单号 */
    @Excel(name = "客户系统订单号")
    private String outTradeOrderno;

    /** 流水号 */
    @Excel(name = "流水号")
    private String fpqqlsh;

    /** 发票种类 */
    @Excel(name = "发票种类")
    private String invoiceType;

    /** 购方名称 */
    @Excel(name = "购方名称")
    private String buyerName;

    /** 购方税号 */
    @Excel(name = "购方税号")
    private String buyerTaxnum;

    /** 购方地址 */
    @Excel(name = "购方地址")
    private String buyerAddress;

    /** 购方电话 */
    @Excel(name = "购方电话")
    private String buyerTelephone;

    /** 购货方开户行名称 */
    @Excel(name = "购货方开户行名称")
    private String buyerBank;

    /** 购方开户行及账户 */
    @Excel(name = "购方开户行及账户")
    private String buyerAccount;

    /** 购方邮箱 */
    @Excel(name = "购方邮箱")
    private String buyerEmail;

    /** 购方联系电话 */
    @Excel(name = "购方联系电话")
    private String buyerPhone;

    /** 销方名称 */
    @Excel(name = "销方名称")
    private String sellerName;

    /** 销方税号 */
    @Excel(name = "销方税号")
    private String sellerTaxnum;

    /** 销方地址 */
    @Excel(name = "销方地址")
    private String sellerAddress;

    /** 销方电话 */
    @Excel(name = "销方电话")
    private String sellerTelephone;

    /** 销方开户行及账户 */
    @Excel(name = "销方开户行及账户")
    private String sellerAccount;

    /** 备注 */
    @Excel(name = "备注")
    private String message;

    /** 销方开户行名称 */
    @Excel(name = "销方开户行名称")
    private String sellerBank;

    /** 开票人 */
    @Excel(name = "开票人")
    private String clerk;

    /** 收款人 */
    @Excel(name = "收款人")
    private String payee;

    /** 复核人 */
    @Excel(name = "复核人")
    private String checker;

    /** 红字信息表编号 */
    @Excel(name = "红字信息表编号")
    private String redInvoiceInfoCode;

    /** 开票分机号 */
    @Excel(name = "开票分机号")
    private String fjh;

    /** 开票终端号 */
    @Excel(name = "开票终端号")
    private String terminalNumber;

    /** 开票类型 */
    @Excel(name = "开票类型：1正票 2红票")
    private String kptype;

    /** 原billInfo订单号 */
    @Excel(name = "原billInfo订单号")
    private String originSystemOrderno;

    /** 编码表编号 */
    @Excel(name = "编码表编号")
    private String bmbbh;

    /** 原发票代码 */
    @Excel(name = "原发票代码")
    private String originFpdm;

    /** 原发票号码 */
    @Excel(name = "原发票号码")
    private String originFphm;



    /** 推送方式 */
    @Excel(name = "推送方式")
    private String tsfs;

    /** 清单标志 */
    @Excel(name = "清单标志")
    private String qdbz;

    /** 清单项目名称 */
    @Excel(name = "清单项目名称")
    private String qdxmmc;

    /** 代开标志 */
    @Excel(name = "代开标志")
    private String dkbz;

    /** 成品油标志 */
    @Excel(name = "成品油标志")
    private String cpybz;

    /** 开票状态 */
    @Excel(name = "开票状态")
    private Integer state;

    /** 订单来源 */
    @Excel(name = "订单来源")
    private String source;

    /** 服务公司 */
    @Excel(name = "服务公司")
    private String serviceSupplierKey;

    /** 单据类型 */
    @Excel(name = "单据类型")
    private String billType;

    /** 业务留存字段 */
    @Excel(name = "业务留存字段")
    private String businessRemark;

    /** 不含税金额 */
    @Excel(name = "不含税金额")
    private BigDecimal taxfreeamt;

    /** 开票时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "开票时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date invoicedTime;

    /** 税额 */
    @Excel(name = "税额")
    private BigDecimal tax;

    /** 含税金额  =》 数科 hjje */
    @Excel(name = "含税金额")
    private BigDecimal taxamt;

    /** 删除标志 */
    private Date deletedTime;

    /** 发票明细信息 */
    @TableField(exist = false)
    private List<BillDetail> billDetailList;

    @TableField(exist = false)
    private String searchValue;

    @TableField(exist = false)
    private String remark;

    @TableField(exist = false)
    private Map<String, Object> params;

    /** 回调地址 */
    @Excel(name = "回调地址")
    private String callbackUrl;

    /** 经办人姓名 */
    private String jbrxm;
    /** 经办人证件号码 */
    private String jbrzjhm;
    /** 经办人证件种类代码 */
    private String jbrzjzldm;
    /** 经办人纳税人识别号 */
    private String jrznsrsbh;
    /** 价税合计 */
    private String jshj;
    /** 特定要素类型代码 */
    private String tdyslxdm;
    /** tdywxx金财数科字段 */
    private String tdywxx;
    /** ext金财数科字段 */
    private String ext;

    /** 全电新增字段  **/
    private String async;

    // TODO: 2023/3/30 后期看看需不需要这部分存库
    @TableField(exist=false)
    @ApiModelProperty(value = "办税人身份证号")
    private String bsrysfzjhm;

    @TableField(exist=false)
    @ApiModelProperty(value = "特定要素")
    private String tdys;


    @TableField(exist=false)
    @ApiModelProperty(value = "*地区编码(参考码表)")
    private String dqbm;

    @TableField(exist=false)
    @ApiModelProperty(value = "lzfpkj")
    private String serviceId;

    @TableField(exist=false)
    @ApiModelProperty(value = "放弃享受减按1%征收率原因")
    private String kjlx;

    @TableField(exist=false)
    @ApiModelProperty(value = "出行人")
    private String cxr;

    @TableField(exist=false)
    @ApiModelProperty(value = "出行人证件类型")
    private String cxrzjlx;

    @TableField(exist=false)
    @ApiModelProperty(value = "出行人证件号码")
    private String cxrzjhm;

    @TableField(exist=false)
    @ApiModelProperty(value = "出行日期")
    private String cxrq;

    @TableField(exist=false)
    @ApiModelProperty(value = "出发地")
    private String cfd;

    @TableField(exist=false)
    @ApiModelProperty(value = "到达地")
    private String ddd;

    @TableField(exist=false)
    @ApiModelProperty(value = "交通工具类型")
    private String jtgjlx;

    @TableField(exist=false)
    @ApiModelProperty(value = "等级")
    private String dengj;

    @TableField(exist=false)
    @ApiModelProperty(value = "货物运输服务")
    private String hwysfw;

    @TableField(exist=false)
    @ApiModelProperty(value = "起运地")
    private String qyd;

    @TableField(exist=false)
    @ApiModelProperty(value = "运输工具号牌")
    private String ysgjhp;

    @TableField(exist=false)
    @ApiModelProperty(value = "运输工具种类")
    private String ysgjzl;

    @TableField(exist=false)
    @ApiModelProperty(value = "运输货物名称")
    private String yshwmc;

    @TableField(exist=false)
    @ApiModelProperty(value = "含税标志 1-不含税 2-含税")
    private String hsbz;

    @TableField(exist=false)
    @ApiModelProperty(value = "放弃享受减按1%征收率原因")
    private String kjly;

    @TableField(exist=false)
    @ApiModelProperty(value = "附加信息名称")
    private String fjxxmc;

    @TableField(exist=false)
    @ApiModelProperty(value = "附加信息内容")
    private String fjxxnr;


    // 2023/6/19 大象冲红原因新增
    @TableField(exist=false)
    @ApiModelProperty(value = "冲红原因")
    private String chyy;





    @TableField(exist=false)
    @ApiModelProperty(value = "开票人证件类型")
    private String KPRZJLX;

    @TableField(exist=false)
    @ApiModelProperty(value = "电局登录用户名")
    private String YHM;

    // 大象数电新增
    @TableField(exist=false)
    private String cezslxdm; // 差额征税类型代码
    @TableField(exist=false)
    private String sgfplxdm; // 收购发票类型代码
    @TableField(exist=false)
    private String ckywszycdm; // 出口业务适用政策代码
    @TableField(exist=false)
    private String zzszjtdm; // 增值税即征即退代码
    @TableField(exist=false)
    private String gmfrb; // 经办人
    @TableField(exist=false)
    private String jbrsfzjhm; // 经办人身份证件号码
    @TableField(exist=false)
    private String gmfrblxdh; // 经办人联系电话
    @TableField(exist=false)
    private String jsfs; // 结算方式
    @TableField(exist=false)
    private String skyhmc; // 收款银行名称
    @TableField(exist=false)
    private String skyhzh; // 收款银行账号
    @TableField(exist=false)
    private String ysxwfsd; // 应税行为发生地
    @TableField(exist=false)
    private List<Fjys> fjysList; // 附加要素列表

    @TableField(exist=false)
    private List<Bdczlxx> bdczlxxList; // 不动产租赁
    @TableField(exist=false)
    private List<Hwys> hwysList; // 货物运输
    @TableField(exist=false)
    private List<Bdcxsxx> bdcxsxxListt; // 不动产销售信息
    @TableField(exist=false)
    private List<Jzfwxx> jzfwList; // 建筑服务信息


    @TableField(exist=false)
    private String jdcbz; // 机动车标志

    @TableField(exist=false)
    /** 车辆类型*/
    private String vehicleKind;

    @TableField(exist=false)
    /** 厂牌型号*/
    private String brandModel;

    @TableField(exist=false)
    /** 产地*/
    private String originPlace;

    @TableField(exist=false)
    /** 合格证号*/
    private String qualityCertificate;

    @TableField(exist=false)
    /** 进口证明书号*/
    private String impCertificateNo;

    @TableField(exist=false)
    /** 商检单号*/
    private String commInspectionNo;

    @TableField(exist=false)
    /** 发动机号*/
    private String vehicleNo;

    @TableField(exist=false)
    private String enginNo;

    @TableField(exist=false)
    /** 生产企业名称*/
    private String manufacturerName;

    @TableField(exist=false)
    /** 价税合计*/
    private String amountTaxTotal;

    @TableField(exist=false)
    /** 限乘人数*/
    private String peopleNo;
    /** 单据编号*/
//    private String documentNr;
    @TableField(exist=false)
    /** 机动车发票票面版式标志*/
    private String infoClientAddressPhone;

    public String getTdys() {
        return tdys;
    }

    public void setTdys(String tdys) {
        this.tdys = tdys;
    }

    public String getEnginNo() {
        return enginNo;
    }

    public void setEnginNo(String enginNo) {
        this.enginNo = enginNo;
    }

    public String getJdcbz() {
        return jdcbz;
    }

    public void setJdcbz(String jdcbz) {
        this.jdcbz = jdcbz;
    }

    public String getVehicleKind() {
        return vehicleKind;
    }

    public void setVehicleKind(String vehicleKind) {
        this.vehicleKind = vehicleKind;
    }

    public String getBrandModel() {
        return brandModel;
    }

    public void setBrandModel(String brandModel) {
        this.brandModel = brandModel;
    }

    public String getOriginPlace() {
        return originPlace;
    }

    public void setOriginPlace(String originPlace) {
        this.originPlace = originPlace;
    }

    public String getQualityCertificate() {
        return qualityCertificate;
    }

    public void setQualityCertificate(String qualityCertificate) {
        this.qualityCertificate = qualityCertificate;
    }

    public String getImpCertificateNo() {
        return impCertificateNo;
    }

    public void setImpCertificateNo(String impCertificateNo) {
        this.impCertificateNo = impCertificateNo;
    }

    public String getCommInspectionNo() {
        return commInspectionNo;
    }

    public void setCommInspectionNo(String commInspectionNo) {
        this.commInspectionNo = commInspectionNo;
    }

    public String getVehicleNo() {
        return vehicleNo;
    }

    public void setVehicleNo(String vehicleNo) {
        this.vehicleNo = vehicleNo;
    }

    public String getManufacturerName() {
        return manufacturerName;
    }

    public void setManufacturerName(String manufacturerName) {
        manufacturerName = manufacturerName;
    }

    public String getAmountTaxTotal() {
        return amountTaxTotal;
    }

    public void setAmountTaxTotal(String amountTaxTotal) {
        this.amountTaxTotal = amountTaxTotal;
    }

    public String getPeopleNo() {
        return peopleNo;
    }

    public void setPeopleNo(String peopleNo) {
        this.peopleNo = peopleNo;
    }

    public String getInfoClientAddressPhone() {
        return infoClientAddressPhone;
    }

    public void setInfoClientAddressPhone(String infoClientAddressPhone) {
        infoClientAddressPhone = infoClientAddressPhone;
    }

    public List<Fjys> getFjysList() {
        return fjysList;
    }

    public void setFjysList(List<Fjys> fjysList) {
        this.fjysList = fjysList;
    }

    public List<Bdczlxx> getBdczlxxList() {
        return bdczlxxList;
    }

    public void setBdczlxxList(List<Bdczlxx> bdczlxxList) {
        this.bdczlxxList = bdczlxxList;
    }

    public List<Hwys> getHwysList() {
        return hwysList;
    }

    public void setHwysList(List<Hwys> hwysList) {
        this.hwysList = hwysList;
    }

    public List<Bdcxsxx> getBdcxsxxListt() {
        return bdcxsxxListt;
    }

    public void setBdcxsxxListt(List<Bdcxsxx> bdcxsxxListt) {
        this.bdcxsxxListt = bdcxsxxListt;
    }

    public List<Jzfwxx> getJzfwList() {
        return jzfwList;
    }

    public void setJzfwList(List<Jzfwxx> jzfwList) {
        this.jzfwList = jzfwList;
    }


    public String getCezslxdm() {
        return cezslxdm;
    }

    public void setCezslxdm(String cezslxdm) {
        this.cezslxdm = cezslxdm;
    }

    public String getSgfplxdm() {
        return sgfplxdm;
    }

    public void setSgfplxdm(String sgfplxdm) {
        this.sgfplxdm = sgfplxdm;
    }

    public String getCkywszycdm() {
        return ckywszycdm;
    }

    public void setCkywszycdm(String ckywszycdm) {
        this.ckywszycdm = ckywszycdm;
    }

    public String getZzszjtdm() {
        return zzszjtdm;
    }

    public void setZzszjtdm(String zzszjtdm) {
        this.zzszjtdm = zzszjtdm;
    }

    public String getGmfrb() {
        return gmfrb;
    }

    public void setGmfrb(String gmfrb) {
        this.gmfrb = gmfrb;
    }

    public String getJbrsfzjhm() {
        return jbrsfzjhm;
    }

    public void setJbrsfzjhm(String jbrsfzjhm) {
        this.jbrsfzjhm = jbrsfzjhm;
    }

    public String getGmfrblxdh() {
        return gmfrblxdh;
    }

    public void setGmfrblxdh(String gmfrblxdh) {
        this.gmfrblxdh = gmfrblxdh;
    }

    public String getJsfs() {
        return jsfs;
    }

    public void setJsfs(String jsfs) {
        this.jsfs = jsfs;
    }

    public String getSkyhmc() {
        return skyhmc;
    }

    public void setSkyhmc(String skyhmc) {
        this.skyhmc = skyhmc;
    }

    public String getSkyhzh() {
        return skyhzh;
    }

    public void setSkyhzh(String skyhzh) {
        this.skyhzh = skyhzh;
    }

    public String getYsxwfsd() {
        return ysxwfsd;
    }

    public void setYsxwfsd(String ysxwfsd) {
        this.ysxwfsd = ysxwfsd;
    }

    public List<Fjys> getFjyslist() {
        return fjysList;
    }

    public void setFjyslist(List<Fjys> fjyslist) {
        this.fjysList = fjyslist;
    }

    public String getKPRZJLX() {
        return KPRZJLX;
    }

    public void setKPRZJLX(String KPRZJLX) {
        this.KPRZJLX = KPRZJLX;
    }

    public String getYHM() {
        return YHM;
    }

    public void setYHM(String YHM) {
        this.YHM = YHM;
    }

    public String getChyy() {
        return chyy;
    }

    public void setChyy(String chyy) {
        this.chyy = chyy;
    }

    @Override
    public String getSearchValue() {
        return searchValue;
    }

    @Override
    public void setSearchValue(String searchValue) {
        this.searchValue = searchValue;
    }

    @Override
    public String getRemark() {
        return remark;
    }

    @Override
    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public Map<String, Object> getParams() {
        return params;
    }

    @Override
    public void setParams(Map<String, Object> params) {
        this.params = params;
    }

    public String getJbrxm() {
        return jbrxm;
    }

    public void setJbrxm(String jbrxm) {
        this.jbrxm = jbrxm;
    }

    public String getJbrzjhm() {
        return jbrzjhm;
    }

    public void setJbrzjhm(String jbrzjhm) {
        this.jbrzjhm = jbrzjhm;
    }

    public String getJbrzjzldm() {
        return jbrzjzldm;
    }

    public void setJbrzjzldm(String jbrzjzldm) {
        this.jbrzjzldm = jbrzjzldm;
    }

    public String getJrznsrsbh() {
        return jrznsrsbh;
    }

    public String getAsync() {
        return async;
    }

    public void setAsync(String async) {
        this.async = async;
    }

    public String getBsrysfzjhm() {
        return bsrysfzjhm;
    }

    public void setBsrysfzjhm(String bsrysfzjhm) {
        this.bsrysfzjhm = bsrysfzjhm;
    }

    public String getDqbm() {
        return dqbm;
    }

    public void setDqbm(String dqbm) {
        this.dqbm = dqbm;
    }

    public String getServiceId() {
        return serviceId;
    }

    public void setServiceId(String serviceId) {
        this.serviceId = serviceId;
    }

    public String getKjlx() {
        return kjlx;
    }

    public void setKjlx(String kjlx) {
        this.kjlx = kjlx;
    }

    public String getCxr() {
        return cxr;
    }

    public void setCxr(String cxr) {
        this.cxr = cxr;
    }

    public String getCxrzjlx() {
        return cxrzjlx;
    }

    public void setCxrzjlx(String cxrzjlx) {
        this.cxrzjlx = cxrzjlx;
    }

    public String getCxrzjhm() {
        return cxrzjhm;
    }

    public void setCxrzjhm(String cxrzjhm) {
        this.cxrzjhm = cxrzjhm;
    }

    public String getCxrq() {
        return cxrq;
    }

    public void setCxrq(String cxrq) {
        this.cxrq = cxrq;
    }

    public String getCfd() {
        return cfd;
    }

    public void setCfd(String cfd) {
        this.cfd = cfd;
    }

    public String getDdd() {
        return ddd;
    }

    public void setDdd(String ddd) {
        this.ddd = ddd;
    }

    public String getJtgjlx() {
        return jtgjlx;
    }

    public void setJtgjlx(String jtgjlx) {
        this.jtgjlx = jtgjlx;
    }

    public String getDengj() {
        return dengj;
    }

    public void setDengj(String dengj) {
        this.dengj = dengj;
    }

    public String getHwysfw() {
        return hwysfw;
    }

    public void setHwysfw(String hwysfw) {
        this.hwysfw = hwysfw;
    }

    public String getQyd() {
        return qyd;
    }

    public void setQyd(String qyd) {
        this.qyd = qyd;
    }

    public String getYsgjhp() {
        return ysgjhp;
    }

    public void setYsgjhp(String ysgjhp) {
        this.ysgjhp = ysgjhp;
    }

    public String getYsgjzl() {
        return ysgjzl;
    }

    public void setYsgjzl(String ysgjzl) {
        this.ysgjzl = ysgjzl;
    }

    public String getYshwmc() {
        return yshwmc;
    }

    public void setYshwmc(String yshwmc) {
        this.yshwmc = yshwmc;
    }

    public String getHsbz() {
        return hsbz;
    }

    public void setHsbz(String hsbz) {
        this.hsbz = hsbz;
    }

    public String getKjly() {
        return kjly;
    }

    public void setKjly(String kjly) {
        this.kjly = kjly;
    }

    public String getFjxxmc() {
        return fjxxmc;
    }

    public void setFjxxmc(String fjxxmc) {
        this.fjxxmc = fjxxmc;
    }

    public String getFjxxnr() {
        return fjxxnr;
    }

    public void setFjxxnr(String fjxxnr) {
        this.fjxxnr = fjxxnr;
    }

    public void setJrznsrsbh(String jrznsrsbh) {
        this.jrznsrsbh = jrznsrsbh;
    }

    public String getJshj() {
        return jshj;
    }

    public void setJshj(String jshj) {
        this.jshj = jshj;
    }

    public String getTdyslxdm() {
        return tdyslxdm;
    }

    public void setTdyslxdm(String tdyslxdm) {
        this.tdyslxdm = tdyslxdm;
    }

    public String getTdywxx() {
        return tdywxx;
    }

    public void setTdywxx(String tdywxx) {
        this.tdywxx = tdywxx;
    }

    public String getExt() {
        return ext;
    }

    public void setExt(String ext) {
        this.ext = ext;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setCompanyId(Long companyId)
    {
        this.companyId = companyId;
    }

    public Long getCompanyId()
    {
        return companyId;
    }
    public void setSystemOrderno(String systemOrderno)
    {
        this.systemOrderno = systemOrderno;
    }

    public String getSystemOrderno()
    {
        return systemOrderno;
    }
    public void setOutTradeOrderno(String outTradeOrderno)
    {
        this.outTradeOrderno = outTradeOrderno;
    }

    public String getOutTradeOrderno()
    {
        return outTradeOrderno;
    }
    public void setFpqqlsh(String fpqqlsh)
    {
        this.fpqqlsh = fpqqlsh;
    }

    public String getFpqqlsh()
    {
        return fpqqlsh;
    }
    public void setInvoiceType(String invoiceType)
    {
        this.invoiceType = invoiceType;
    }

    public String getInvoiceType()
    {
        return invoiceType;
    }
    public void setBuyerName(String buyerName)
    {
        this.buyerName = buyerName;
    }

    public String getBuyerName()
    {
        return buyerName;
    }
    public void setBuyerTaxnum(String buyerTaxnum)
    {
        this.buyerTaxnum = buyerTaxnum;
    }

    public String getBuyerTaxnum()
    {
        return buyerTaxnum;
    }
    public void setBuyerAddress(String buyerAddress)
    {
        this.buyerAddress = buyerAddress;
    }

    public String getBuyerAddress()
    {
        return buyerAddress;
    }
    public void setBuyerTelephone(String buyerTelephone)
    {
        this.buyerTelephone = buyerTelephone;
    }

    public String getBuyerTelephone()
    {
        return buyerTelephone;
    }
    public void setBuyerBank(String buyerBank)
    {
        this.buyerBank = buyerBank;
    }

    public String getBuyerBank()
    {
        return buyerBank;
    }
    public void setBuyerAccount(String buyerAccount)
    {
        this.buyerAccount = buyerAccount;
    }

    public String getBuyerAccount()
    {
        return buyerAccount;
    }
    public void setBuyerEmail(String buyerEmail)
    {
        this.buyerEmail = buyerEmail;
    }

    public String getBuyerEmail()
    {
        return buyerEmail;
    }
    public void setBuyerPhone(String buyerPhone)
    {
        this.buyerPhone = buyerPhone;
    }

    public String getBuyerPhone()
    {
        return buyerPhone;
    }
    public void setSellerName(String sellerName)
    {
        this.sellerName = sellerName;
    }

    public String getSellerName()
    {
        return sellerName;
    }
    public void setSellerTaxnum(String sellerTaxnum)
    {
        this.sellerTaxnum = sellerTaxnum;
    }

    public String getSellerTaxnum()
    {
        return sellerTaxnum;
    }
    public void setSellerAddress(String sellerAddress)
    {
        this.sellerAddress = sellerAddress;
    }

    public String getSellerAddress()
    {
        return sellerAddress;
    }
    public void setSellerTelephone(String sellerTelephone)
    {
        this.sellerTelephone = sellerTelephone;
    }

    public String getSellerTelephone()
    {
        return sellerTelephone;
    }
    public void setSellerAccount(String sellerAccount)
    {
        this.sellerAccount = sellerAccount;
    }

    public String getSellerAccount()
    {
        return sellerAccount;
    }
    public void setMessage(String message)
    {
        this.message = message;
    }

    public String getMessage()
    {
        return message;
    }
    public void setSellerBank(String sellerBank)
    {
        this.sellerBank = sellerBank;
    }

    public String getSellerBank()
    {
        return sellerBank;
    }
    public void setClerk(String clerk)
    {
        this.clerk = clerk;
    }

    public String getClerk()
    {
        return clerk;
    }
    public void setPayee(String payee)
    {
        this.payee = payee;
    }

    public String getPayee()
    {
        return payee;
    }
    public void setChecker(String checker)
    {
        this.checker = checker;
    }

    public String getChecker()
    {
        return checker;
    }
    public void setRedInvoiceInfoCode(String redInvoiceInfoCode)
    {
        this.redInvoiceInfoCode = redInvoiceInfoCode;
    }

    public String getRedInvoiceInfoCode()
    {
        return redInvoiceInfoCode;
    }
    public void setFjh(String fjh)
    {
        this.fjh = fjh;
    }

    public String getFjh()
    {
        return fjh;
    }
    public void setTerminalNumber(String terminalNumber)
    {
        this.terminalNumber = terminalNumber;
    }

    public String getTerminalNumber()
    {
        return terminalNumber;
    }
    public void setKptype(String kptype)
    {
        this.kptype = kptype;
    }

    public String getKptype()
    {
        return kptype;
    }
    public void setOriginSystemOrderno(String originSystemOrderno)
    {
        this.originSystemOrderno = originSystemOrderno;
    }

    public String getOriginSystemOrderno()
    {
        return originSystemOrderno;
    }
    public void setBmbbh(String bmbbh)
    {
        this.bmbbh = bmbbh;
    }

    public String getBmbbh()
    {
        return bmbbh;
    }
    public void setOriginFpdm(String originFpdm)
    {
        this.originFpdm = originFpdm;
    }

    public String getOriginFpdm()
    {
        return originFpdm;
    }
    public void setOriginFphm(String originFphm)
    {
        this.originFphm = originFphm;
    }

    public String getOriginFphm()
    {
        return originFphm;
    }
    public void setTsfs(String tsfs)
    {
        this.tsfs = tsfs;
    }

    public String getTsfs()
    {
        return tsfs;
    }
    public void setQdbz(String qdbz)
    {
        this.qdbz = qdbz;
    }

    public String getQdbz()
    {
        return qdbz;
    }
    public void setQdxmmc(String qdxmmc)
    {
        this.qdxmmc = qdxmmc;
    }

    public String getQdxmmc()
    {
        return qdxmmc;
    }
    public void setDkbz(String dkbz)
    {
        this.dkbz = dkbz;
    }

    public String getDkbz()
    {
        return dkbz;
    }
    public void setCpybz(String cpybz)
    {
        this.cpybz = cpybz;
    }

    public String getCpybz()
    {
        return cpybz;
    }
    public void setState(Integer state)
    {
        this.state = state;
    }

    public Integer getState()
    {
        return state;
    }
    public void setSource(String source)
    {
        this.source = source;
    }

    public String getSource()
    {
        return source;
    }
    public void setServiceSupplierKey(String serviceSupplierKey)
    {
        this.serviceSupplierKey = serviceSupplierKey;
    }

    public String getServiceSupplierKey()
    {
        return serviceSupplierKey;
    }
    public void setBillType(String billType)
    {
        this.billType = billType;
    }

    public String getBillType()
    {
        return billType;
    }
    public void setBusinessRemark(String businessRemark)
    {
        this.businessRemark = businessRemark;
    }

    public String getBusinessRemark()
    {
        return businessRemark;
    }
    public void setTaxfreeamt(BigDecimal taxfreeamt)
    {
        this.taxfreeamt = taxfreeamt;
    }

    public BigDecimal getTaxfreeamt()
    {
        return taxfreeamt;
    }
    public void setInvoicedTime(Date invoicedTime)
    {
        this.invoicedTime = invoicedTime;
    }

    public Date getInvoicedTime()
    {
        return invoicedTime;
    }
    public void setTax(BigDecimal tax)
    {
        this.tax = tax;
    }

    public BigDecimal getTax()
    {
        return tax;
    }
    public void setTaxamt(BigDecimal taxamt)
    {
        this.taxamt = taxamt;
    }

    public BigDecimal getTaxamt()
    {
        return taxamt;
    }
    public void setDeletedTime(Date deletedTime)
    {
        this.deletedTime = deletedTime;
    }

    public Date getDeletedTime()
    {
        return deletedTime;
    }

    public List<BillDetail> getBillDetailList()
    {
        return billDetailList;
    }

    public void setBillDetailList(List<BillDetail> billDetailList)
    {
        this.billDetailList = billDetailList;
    }

    public String getCallbackUrl() {
        return callbackUrl;
    }

    public void setCallbackUrl(String callbackUrl) {
        this.callbackUrl = callbackUrl;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("companyId", getCompanyId())
            .append("systemOrderno", getSystemOrderno())
            .append("outTradeOrderno", getOutTradeOrderno())
            .append("fpqqlsh", getFpqqlsh())
            .append("invoiceType", getInvoiceType())
            .append("buyerName", getBuyerName())
            .append("buyerTaxnum", getBuyerTaxnum())
            .append("buyerAddress", getBuyerAddress())
            .append("buyerTelephone", getBuyerTelephone())
            .append("buyerBank", getBuyerBank())
            .append("buyerAccount", getBuyerAccount())
            .append("buyerEmail", getBuyerEmail())
            .append("buyerPhone", getBuyerPhone())
            .append("sellerName", getSellerName())
            .append("sellerTaxnum", getSellerTaxnum())
            .append("sellerAddress", getSellerAddress())
            .append("sellerTelephone", getSellerTelephone())
            .append("sellerAccount", getSellerAccount())
            .append("message", getMessage())
            .append("sellerBank", getSellerBank())
            .append("clerk", getClerk())
            .append("payee", getPayee())
            .append("checker", getChecker())
            .append("redInvoiceInfoCode", getRedInvoiceInfoCode())
            .append("fjh", getFjh())
            .append("terminalNumber", getTerminalNumber())
            .append("remark", getRemark())
            .append("kptype", getKptype())
            .append("originSystemOrderno", getOriginSystemOrderno())
            .append("bmbbh", getBmbbh())
            .append("originFpdm", getOriginFpdm())
            .append("originFphm", getOriginFphm())
            .append("tsfs", getTsfs())
            .append("qdbz", getQdbz())
            .append("qdxmmc", getQdxmmc())
            .append("dkbz", getDkbz())
            .append("cpybz", getCpybz())
            .append("state", getState())
            .append("source", getSource())
            .append("serviceSupplierKey", getServiceSupplierKey())
            .append("billType", getBillType())
            .append("businessRemark", getBusinessRemark())
            .append("taxfreeamt", getTaxfreeamt())
            .append("invoicedTime", getInvoicedTime())
            .append("createBy", getCreateBy())
            .append("tax", getTax())
            .append("createTime", getCreateTime())
            .append("taxamt", getTaxamt())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("deletedTime", getDeletedTime())
            .append("billDetailList", getBillDetailList())
            .toString();
    }
}
